View Issue Details

IDProjectCategoryView StatusLast Update
0004702Talermechant backendpublic2016-10-11 17:28
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.1Fixed in Version0.1 
Summary0004702: Merchant should sign response of /pay
DescriptionSee https://api.taler.net/api-merchant.html#post--pay

Currently the response of the backend is empty. It should include a signature by the merchant.
TagsNo tags attached.

Relationships

related to 0004694 closedFlorian Dold taler-payment-failed and taler-payment-succeeded not properly implemented 

Activities

Marcello Stanisci

2016-10-03 14:30

manager   ~0011232

Fixed in 617fb93 (merchant), a42155d (exchange). Documentation updated accordingly.

Florian Dold

2016-10-03 15:49

manager   ~0011234

Reopening: Could you please also include the contract hash in what's being signed over and into the JSON response for /pay?

Otherwise the response for every customer and every contract is the same, making the signature rather pointless!

Marcello Stanisci

2016-10-07 15:58

manager   ~0011271

added h_contract field, and signed too. In 73b7d23

Issue History

Date Modified Username Field Change
2016-10-02 23:38 Florian Dold New Issue
2016-10-02 23:38 Florian Dold Status new => assigned
2016-10-02 23:38 Florian Dold Assigned To => Marcello Stanisci
2016-10-02 23:39 Florian Dold Relationship added related to 0004694
2016-10-03 14:30 Marcello Stanisci Note Added: 0011232
2016-10-03 14:30 Marcello Stanisci Status assigned => resolved
2016-10-03 14:30 Marcello Stanisci Resolution open => fixed
2016-10-03 15:49 Florian Dold Note Added: 0011234
2016-10-03 15:49 Florian Dold Status resolved => assigned
2016-10-07 15:58 Marcello Stanisci Note Added: 0011271
2016-10-07 15:58 Marcello Stanisci Status assigned => resolved
2016-10-11 17:24 Christian Grothoff Product Version => SVN HEAD
2016-10-11 17:24 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:24 Christian Grothoff Target Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed